%global basever 0.8.12
%global srcname ccsm
%global sum     Plugin and configuration tool - Compiz Fusion Project

Name:           %{srcname}
Version:        0.8.12.4
Release:        1%{?dist}
Epoch:          1
Summary:        %{sum}

Group:          User Interface/Desktops
License:        GPLv2+
URL:            https://github.com/compiz-reloaded/ccsm
Source0:        https://github.com/compiz-reloaded/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  intltool

Requires:       compizconfig-python >= %{version}
Requires:       libcompizconfig >= %{basever}
%if 0%{?fedora} < 23  || 0%{?rhel}
Requires:       pygobject3
%else
Requires:       python-gobject
%endif
Requires:       gobject-introspection
Requires:       pycairo
Requires:       gdk-pixbuf2
Requires:       pango
Requires:       gtk3

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains a GUI configuration tool to configure Compiz
plugins and the composite window manager.

%prep
%autosetup

%build
%py2_build \
    --with-gtk=3.0 \
    --prefix=%{_prefix}

%install
%py2_install \
    --prefix=%{_prefix}

%find_lang %{name}

%check
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/ccsm.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING VERSION
%{_bindir}/ccsm
%{_datadir}/appdata/ccsm.appdata.xml
%{_datadir}/applications/ccsm.desktop
%dir %{_datadir}/ccsm
%{_datadir}/ccsm/*
%{_datadir}/icons/hicolor/*/apps/ccsm.*
%dir %{python_sitelib}/ccm
%{python_sitelib}/ccm/*
%{python_sitelib}/ccsm-%{version}-py?.?.egg-info


%changelog
* Fri May 27 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.12.4-1
- update to 0.8.12.4 release

* Mon Apr  4 2016 Peter Robinson <pbrobinson@fedoraproject.org> 1:0.8.12.3.0-2
- s390/ppc64 has libdrm now

* Tue Mar 29 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.12.3.0-1
- update to 0.8.12.3.0 release
- switch to gtk3
- use a fixed tarball from upstream

* Mon Mar 28 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.12.3-1
- update to 0.8.12.3 release
- switch to gtk3

* Sat Feb 13 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.12.1-1
- update to 0.8.12.1 release
- fix https://github.com/raveit65/ccsm/issues/1
- add more upstream patches

* Sat Feb 13 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.12-1
- update to 0.8.12 release

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 06 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.9-1
- update to 0.8.9
- new upstream is at https://github.com/raveit65/ccsm
- remove upstreamed patches
- remove sed commands
- fix rpmlint issue in description (gui --> GUI)
- modernize spec file for python

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-16
- rebuild for f22

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 24 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-14
- fix no icons and text in main screen

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 18 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-12
- add ccsm_primary-is-control.patch
- fix (#910977)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 10 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-10
- remove commented out require
- drop gettext BR

* Sun Dec 02 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-9
- remove compizconfig-backend-mateconf require

* Mon Oct 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-8
- build for fedora
- rename patches
- fix invalid-lc-messages-dir
- add Epoch tag

* Mon Oct 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.4-7
- remove python sitelib stuff

* Wed Sep 19 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.4-6
- improve spec file

* Tue May 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.4-5
- build for mate

